VMTKSURFACETRANSFORM(1)

NAME
vmtksurfacetransform - vmtk script vmtksurfacetransform

DESCRIPTION
Automatic piping vmtksurfacetransform Parsing options vmtksurfacetransform

vmtksurfacetransform : transform a surface with a provided matrix

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-matrix4x4 Matrix4x4 (vtkMatrix4x4,1): the input transform matrix

-matrix MatrixCoefficients (float,16); default=[]: coefficients of

    transform matrix

-invert InvertMatrix (bool,1); default=0: invert matrix before

    applying transformation

-rotation Rotation (float,3); default=[0.0, 0.0, 0.0]: rotations

    around the x-,y- and z-axis

-translation Translation (float,3); default=[0.0, 0.0, 0.0]:

    translation in the x-,y- and z-directions

-scaling Scaling (float,3); default=[1.0, 1.0, 1.0]: scaling of the

    x-,y- and z-directions

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface